'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getOptionLabel = require('./getOptionLabel');

var _getOptionLabel2 = _interopRequireDefault(_getOptionLabel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getHintText(_ref) {
  var activeItem = _ref.activeItem,
      initialItem = _ref.initialItem,
      labelKey = _ref.labelKey,
      selected = _ref.selected,
      text = _ref.text;

  if (!initialItem || initialItem.customOption) {
    return '';
  }

  var initialItemStr = (0, _getOptionLabel2.default)(initialItem, labelKey);

  // Only show the hint if:
  if (
  // The input contains text.
  !!text &&
  // None of the menu options are focused.
  !activeItem &&
  // There are no current selections.
  !selected.length &&
  // The input text corresponds to the beginning of the first option.
  initialItemStr.toLowerCase().indexOf(text.toLowerCase()) === 0) {
    // Text matching is case-insensitive, so to display the hint correctly,
    // splice the input text with the rest of the actual string.
    return text + initialItemStr.slice(text.length, initialItemStr.length);
  }

  return '';
}

exports.default = getHintText;